﻿* {
    box-sizing: border-box;
    font-family: "Inter var";
}

body {
    margin: 0;
    padding: 0;
    overflow: hidden !important;
}

.main {
    background-color: #111827;
    height: 100vh;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.dark {
    background-color: #111827 !important;
}

.mt-0 {
    margin-top: 0;
}

.mb-0 {
    margin-bottom: 0;
}

.rubicon-blue {
    color: #0891b2;
}

.card {
    background-color: #111827;
    min-height: 30vh;
    width: 50%;
}

.flex-auto {
    flex: 1 1 auto !important;
}

.sm-hidden {
    display: block;
}

.wrapper {
    color: white;
    height: 100% !important;
    background: url("../rubicon-cude.svg") repeat;
    background-size: 30rem;
}

.absolute {
    position: absolute;
}

.r-1 {
    right: 1rem;
}

.t-1 {
    top: 1rem;
}

.font-2xl {
    font-size: 3em !important;
}

.font-xl {
    font-size: 2rem !important;
}

.p-1 {
    padding: 1rem;
}

.p-3 {
    padding: 2rem;
}

.grayish {
    color: #a1a1aa;
}

.relative {
    position: relative;
}

.backdrop-img {
    opacity: 0.04;
    fill: #4a4a4e !important;
}

.inner-wrapper {
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: center;
}

.left-wrapper {
    display: flex;
    flex-direction: column;
    margin: auto;
    max-width: 768px;
    color: white;
    height: 100%;
    justify-content: center;
}

    .left-wrapper img {
        margin-right: auto;
        margin-left: auto;
    }

.right-wrapper {
    display: flex;
    flex-direction: column;
    padding: 5rem;
    max-width: 768px;
    color: white;
    height: 100%;
    justify-content: center;
    overflow-y: auto;
}

    .right-wrapper img {
        margin-right: auto;
        margin-left: auto;
    }

.rubicon-button {
    margin-top: 3rem;
    width: 100%;
    font-weight: bold;
    height: 48px;
    box-sizing: border-box;
    position: relative;
    user-select: none;
    cursor: pointer;
    outline: none;
    border: none;
    white-space: nowrap;
    text-decoration: none;
    vertical-align: baseline;
    text-align: center;
    overflow: visible;
    background-color: #0891b2;
    color: white;
    border-radius: 1rem !important;
    padding: 0 20px !important;
}

.rubicon-signup {
    padding: 1rem;
    border-radius: 1rem;
    color: white;
    border: 1px solid white;
}

a:hover {
    text-decoration: none !important;
    color: white !important;
}

.rb-group {
    border: 1px solid white;
    padding: 5px;
    border-radius: 1rem;
}

    .rb-group + .rb-group {
        margin-top: 2.5rem;
    }

    .rb-group input {
        background-color: transparent;
        border: none;
        color: white;
    }

        .rb-group input:focus {
            box-shadow: none;
            background-color: transparent;
            border: none;
            border-bottom: 1px solid white;
            color: white;
        }

.rb-group-register {
    border: 1px solid white;
    border-radius: 1rem;
}

    .rb-group-register label {
        margin: 0px;
    }

    .rb-group-register + .rb-group-register {
        margin-top: 1rem;
    }

    .rb-group-register input {
        background-color: transparent;
        border: none;
        color: white;
    }

        .rb-group-register input:focus {
            box-shadow: none;
            background-color: transparent;
            border: none;
            border-bottom: 1px solid white;
            color: white;
        }

.rubicon-sign-in-txt {
    text-align: center;
    font-size: 3rem;
    margin-bottom: 3rem;
}

.rubicon-welcome {
    text-align: center;
    font-size: 3rem;
    margin-bottom: 3rem;
}

.rubicon-message {
    text-align: center;
    font-size: 2rem;
    margin-bottom: 2rem;
}

.sign-up-group {
    text-align: center;
}

@media only screen and (max-width: 768px) {
    .sm-hidden {
        display: none !important;
    }

    .left-wrapper {
        width: 100%;
        padding: 1rem;
        align-items: center;
        text-align: center;
    }

    .right-wrapper {
        width: 100%;
        padding: 1rem;
        align-items: center;
        text-align: center;
    }

    .card {
        width: 375px;
        margin: auto;
    }
}
